corda / net.corda.core.contracts / BilateralNettableState

# BilateralNettableState

`interface BilateralNettableState<N : BilateralNettableState<N>>`

Interface for state objects that support being netted with other state objects.

### Properties

bilateralNetState | `abstract val bilateralNetState: Any` Returns an object used to determine if two states can be subject to close-out netting. If two states return equal objects, they can be close out netted together.

### Functions

net | `abstract fun net(other: N): N` Perform bilateral netting of this state with another state. The two states must be compatible (as in bilateralNetState objects are equal).

### Inheritors

NettableState | `interface NettableState<N : BilateralNettableState<N>, T : Any> : BilateralNettableState<N>, MultilateralNettableState<T>`